GET Strategy

Returns a specific strategy indicated by ATM (Advanced Trade Management) strategy ID

Get ATM strategy by ID

GET /v1/api/accounts/{account}/strategies/{strategyId}

Headers

Name
Value

Content-Type

application/json

Authorization

Bearer <token>

Path Parameters

Name
Type
Required
Description

account

string

Required

Name of account in NT8

Query Parameters

Name
Type
Required
Description

strategyId

string

Required

ID of the strategy

Code Examples

import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/strategies/334081921"
headers = {
    "Authorization": f"Bearer {token}",
    "Content-Type": "application/json"
}

try:
    response = requests.get(url, headers=headers)
    print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
    print(f"An error occurred: {e}")

Response

WebSocket API

This request can also be made over the WebSocket API. The account and strategyId path parameters are passed inside args.

Last updated